Bug 640234 - sendmail applies MAXHOSTNAMELEN for FQDN.
Summary: sendmail applies MAXHOSTNAMELEN for FQDN.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sendmail
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 485380
Blocks: 836160 947775 1070830 1159820 640232
TreeView+ depends on / blocked
 
Reported: 2010-10-05 10:15 UTC by Jaroslav Škarvada
Modified: 2015-07-22 06:24 UTC (History)
5 users (show)

Fixed In Version: sendmail-8.14.4-9.el6
Doc Type: Bug Fix
Doc Text:
Previously, the sendmail macro MAXHOSTNAMELEN allowed only 63 characters for the host name length. However, in some cases, it was used against the length of a fully-qualified domain name (FQDN), which has a maximum length of 255 characters. Consequently, FQDN resolution did not work correctly in some cases. To fix this bug, MAXHOSTNAMELEN now allows a maximum of 255 characters.
Clone Of: 485380
Environment:
Last Closed: 2015-07-22 06:24:02 UTC


Attachments (Terms of Use)
Proposed patch (814 bytes, patch)
2010-10-06 12:15 UTC, Jaroslav Škarvada
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1299 normal SHIPPED_LIVE sendmail bug fix update 2015-07-20 17:53:56 UTC

Comment 1 Jaroslav Škarvada 2010-10-06 12:15:07 UTC
Created attachment 451877 [details]
Proposed patch

Proposed patch

Comment 3 RHEL Product and Program Management 2011-07-06 00:05:09 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 5 Suzanne Yeghiayan 2012-02-14 23:03:58 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 7 Tom Lavigne 2012-09-18 15:22:36 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.
    
Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 8 RHEL Product and Program Management 2013-10-14 01:14:59 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 10 Alois Mahdal 2015-04-14 15:21:30 UTC
Verified on all architectures by running TC#105687: TJ#929124 (old rpms) and TJ#929125 (new rpms).

Comment 12 errata-xmlrpc 2015-07-22 06:24:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1299.html


Note You need to log in before you can comment on or make changes to this bug.